Bug 1592374 - kernel-devel RPM missing on i686
Summary: kernel-devel RPM missing on i686
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 x86Tracker
TreeView+ depends on / blocked
 
Reported: 2018-06-18 13:18 UTC by Daniel Berrangé
Modified: 2018-06-25 21:15 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 21:15:13 UTC
Type: Bug


Attachments (Terms of Use)
.config for kernel build (192.67 KB, text/plain)
2018-06-21 05:17 UTC, Bruno Wolff III
no flags Details

Description Daniel Berrangé 2018-06-18 13:18:32 UTC
Description of problem:

I am attempting to build QEMU in rawhide and mock fails to install systemtap-devel because it can't find any package providing kernel-devel-uname-r

  https://koji.fedoraproject.org/koji/taskinfo?taskID=27702576

DEBUG util.py:439:  Error: 
DEBUG util.py:439:   Problem: package systemtap-3.3-1.fc29.i686 requires systemtap-devel = 3.3-1.fc29, but none of the providers can be installed
DEBUG util.py:439:    - conflicting requests
DEBUG util.py:439:    - nothing provides kernel-devel-uname-r needed by systemtap-devel-3.3-1.fc29.i686


This appears to be specific to the i686 build - other roots successfully installed.

Looking at koji packages, the kenrel-devel RPM has indeed gone missing on i686

https://kojipkgs.fedoraproject.org/packages/kernel/4.18.0/0.rc0.git10.1.fc29/i686/

It was last present in

https://kojipkgs.fedoraproject.org/packages/kernel/4.18.0/0.rc0.git7.1.fc29/i686/

Version-Release number of selected component (if applicable):
4.18.0-0.rc0.git10.1.fc29

Comment 1 Laura Abbott 2018-06-18 15:30:06 UTC
Yes, there is a known issue with building the kernel for i686 so it's been disabled. This has been reported to the x86 SIG for follow up https://lists.fedoraproject.org/archives/list/x86@lists.fedoraproject.org/thread/YCBS5Y33YFBN2NPNPRUH6YJQFB5CVQ4F/

Comment 2 Daniel Berrangé 2018-06-18 15:37:46 UTC
Sigh, this is a really unhelpful approach to deal with the problem. It would be much nicer to not have rebased the kernel to newer version if it was known to break on one of the archs. Disabling it on one arch isn't a fix, because this has a ripple effect across the rest of the distro in any places which have dependencies on the kernel. Now we're unable to build various other like systemtap, qemu, libvirt, packages, and the only way to unblock that is to rollback rawhide to the earlier kernel, or modify countless other packages to disable i686.

Comment 3 Laura Abbott 2018-06-18 15:47:31 UTC
Agreed this isn't the best option. i686 has been a secondary concern for a while now and it is now an official alternative architecture. This means that issues with it need to be driven by the x86 SIG.

Comment 4 Bruno Wolff III 2018-06-21 05:17:10 UTC
Created attachment 1453336 [details]
.config for kernel build

I successfully built a 4.18-rc1+ kernel from Linus' tree (81e97f01371f4e1701feeafe484665112cd9ddc2). I didn't use mock or qemu, just make on an i686 laptop. I'll look at building from https://git.kernel.org/pub/scm/linux/kernel/git/jwboyer/fedora.git/log/?h=rawhide next, to see if Fedora specific patches are causing a problem.

Comment 5 Thorsten Leemhuis 2018-06-21 09:30:38 UTC
(In reply to Laura Abbott from comment #1)
> Yes, there is a known issue with building the kernel for i686 

TWIMC: This is afaics something that happens sporadically. I have seen the problem myself a few hours before Laura disabled the i686 build; I reenabled them for my vanilla builds (
https://fedoraproject.org/wiki/Kernel_Vanilla_Repositories ) and 75 percent  (rough estimate) of the i686 builds (done as scratch builds in koji) compile just fine. Makes me wonder if it's something with GCC or the builders.

Comment 6 Bruno Wolff III 2018-06-21 17:42:34 UTC
I was able to install a kernel built from the Fedora git repo. I can't test booting remotely, but that isn't really needed here.
I can't quickly test kernel builds for intermittent issues.

Comment 7 Daniel Berrangé 2018-06-22 15:43:28 UTC
FYI a patch was posted for a loop termination flaw in Kconfig which actually affects all archs, so please see if this is sufficient to get i686 enabled again:

Message from Jerry James here :

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/LGDSSIH2VK3SGNSXE3G5QQUAWOZKXDVL/

Comment 8 Laura Abbott 2018-06-25 21:15:13 UTC
I pulled in the fix and i686 is building again. Closing this ticket.


Note You need to log in before you can comment on or make changes to this bug.